Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::orientation_interpolator_node::set_fraction_listener Class Reference

Inheritance diagram for openvrml::vrml97_node::orientation_interpolator_node::set_fraction_listener:

[legend]
List of all members.

## Detailed Description

set_fraction eventIn handler.

For internal use only.

## Public Member Functions
| set_fraction_listener (orientation_interpolator_node &node)
| Construct.
virtual | ~set_fraction_listener () throw ()
| Destroy.
## Private Member Functions
virtual void | do_process_event (const sffloat &fraction, double timestamp) throw (std::bad_alloc)
| Process event.

## Constructor & Destructor Documentation

openvrml::vrml97_node::orientation_interpolator_node::set_fraction_listener::set_fraction_listener | ( | orientation_interpolator_node & | node | ) | `[explicit]`

  | Construct. Parameters:
  | node | orientation_interpolator_node.

openvrml::vrml97_node::orientation_interpolator_node::set_fraction_listener::~set_fraction_listener | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::orientation_interpolator_node::set_fraction_listener::do_process_event | ( | const sffloat & | fraction,
|  | double | timestamp
| ) | throw (std::bad_alloc)`[private, virtual]`

  | Process event. Parameters:
  | fraction | fraction.
  | timestamp | the current time.
  Exceptions:
  | std::bad_alloc | if memory allocation fails.
Implements openvrml::field_value_listener< sffloat >.